import random as rd
nombre_inconnu=rd.randrange(101)
print("Ta mission deviner un nombre mystère compris entre 1 et 100 en un minimum d'essais")
proposition=int(input('saisis ta proposition'))
while proposition!= nombre_inconnu:
    if proposition>nombre_inconnu:
        print('Ta proposition est trop grande')
    else:
        print('Ta proposition est trop petite')
    proposition=int(input('Retente une nouvelle proposition '))
print('YOU WIN Bravo !')